/*
 * This Source Code Form is subject to the terms of the MIT License.
 * If a copy of the MIT License was not distributed with this file,
 * you can obtain one at https://opensource.org/licenses/MIT
 */

#include "target.h"
#include "system.h"

void targetSysReset( void )
{
    GPIOA_BSRR = (1 << (PIN_RESET + 16));
	return ;
}

void targetSysUnReset( void )
{
    GPIOA_BSRR = (1 << (PIN_RESET));
	return ;
}


void targetSysOff( void )
{
    GPIOA_BSRR = (1 << (PIN_POWER + 16));
	return ;
}

void targetSysOn( void )
{
    GPIOA_BSRR = (1 << (PIN_POWER));
	return ;
}
